
if( SERVER ) then

	AddCSLuaFile( "shared.lua" );
	
	SWEP.HoldType = "ar2";

end

SWEP.PrintName = "M249";
SWEP.Author				= "Disseminate"

if( CLIENT ) then

	
	SWEP.Slot = 2;
	SWEP.SlotPos = 2;
	SWEP.CSMuzzleFlashes	= true
	SWEP.ViewModelFOV		= 83;	
	
	SWEP.DrawCrosshair = false;
	
end

SWEP.Base = "weapon_ts_base";
SWEP.Category = "Starship Troopers";

SWEP.ViewModel			= "models/weapons/v_mach_m249para.mdl"
SWEP.WorldModel			= "models/weapons/w_mach_m249para.mdl"
SWEP.Primary.Sound			= Sound( "Weapon_M249.Single" )

SWEP.ViewModelFOV		= 40;

SWEP.InvSize = 2;
SWEP.InvWeight = 1;

SWEP.Primary.ClipSize = 150;
SWEP.Primary.DefaultClip = 300;
SWEP.Primary.Ammo = "smg1";
SWEP.Primary.Delay = 0.05;
SWEP.Primary.Damage = 10;
SWEP.Primary.Force = 1;
SWEP.Primary.RunCone = Vector( .2, .2, 0 );
SWEP.Primary.SpreadCone = Vector( .1, .1, 0 );
SWEP.Primary.CrouchSpreadCone = Vector( .05, .05, 0 );
SWEP.Primary.ViewPunch = Angle( -0.5, 0.0, 0 );
SWEP.Primary.Automatic = true;

SWEP.IronSightPos = Vector( -4.4823, 2.1352, -2.5268 );
SWEP.IronSightAng = Vector( 0, 0, 0 );
